Bug 559199 - Assertion failure in _XAllocID inside XRenderCreatePicture running /usr/bin/system-config-firewall
Assertion failure in _XAllocID inside XRenderCreatePicture running /usr/bin/s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:622e8ddae794a0dfc83c360965c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-27 07:31 EST by copperjoy2002
Modified: 2010-12-03 18:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 18:45:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.74 KB, text/plain)
2010-01-27 07:31 EST, copperjoy2002
no flags Details

  None (edit)
Description copperjoy2002 2010-01-27 07:31:54 EST
abrt 1.0.4 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/system-config-firewall
component: python
executable: /usr/bin/python
kernel: 2.6.31.6-166.fc12.i686
package: python-2.6.2-2.fc12
rating: 2
reason: Process was terminated by signal 6
release: Fedora release 12 (Constantine)
Comment 1 copperjoy2002 2010-01-27 07:31:56 EST
Created attachment 387054 [details]
File: backtrace
Comment 2 Dave Malcolm 2010-01-27 21:18:37 EST
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q system-config-firewall cairo gtk2

Unfortunately, that stack trace is not very useful in determining the cause of the crash, because there is not a symbolic stack trace. In order to get a symbolic stack trace, the appropriate debuginfo packages need to be installed. In order to accomplish this, you can run the command:

  debuginfo-install cairo gtk2

Please see http://fedoraproject.org/wiki/StackTraces for more information about stack traces.

Looking at the backtrace, it looks like an assertion failed inside frame 3 of the program's single thread inside _XAllocID, but it's hard to say more without a richer backtrace.

Reassigning component from "python" to "system-config-firewall";  hopefully the system-config-firewall maintainer will be able to figure this out further or reassign as necessary.
Comment 3 Thomas Woerner 2010-03-11 08:40:05 EST
This is not a system-config-firewall bug.

Reassigning to gtk2.

There are lots of other _XAllocID bugs in bugzilla for many components.
Comment 4 Tajidin Abdullah 2010-09-07 03:55:00 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2010-11-03 19:48:24 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 18:45:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.